package cn.hmsoft.ai.idcard;

import java.time.LocalDate;

/******************
 * 身份证识别结果
 * 
 * @author zxq
 * @create 2019-08-23 16:47:02
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class IdCard {

	private boolean ocr_success = false;
	private String error_msg;
	// 图片旋转度
	private int direction = 0;

	private String person_name;
	private String person_nation;
	private String person_addr;
	private String person_code;
	private String person_sex;
	// 图片信息
	private String photo;
	private LocalDate birthday;

	public boolean isOcr_success() {
		return ocr_success;
	}

	public void setOcr_success(boolean ocr_success) {
		this.ocr_success = ocr_success;
	}

	public String getError_msg() {
		return error_msg;
	}

	public void setError_msg(String error_msg) {
		this.error_msg = error_msg;
	}

	public String getPerson_name() {
		return person_name;
	}

	public void setPerson_name(String person_name) {
		this.person_name = person_name;
	}

	public String getPerson_nation() {
		return person_nation;
	}

	public void setPerson_nation(String person_nation) {
		this.person_nation = person_nation;
	}

	public String getPerson_addr() {
		return person_addr;
	}

	public void setPerson_addr(String person_addr) {
		this.person_addr = person_addr;
	}

	public String getPerson_code() {
		return person_code;
	}

	public void setPerson_code(String person_code) {
		this.person_code = person_code;
	}

	public String getPerson_sex() {
		return person_sex;
	}

	public void setPerson_sex(String person_sex) {
		this.person_sex = person_sex;
	}

	public int getDirection() {
		return direction;
	}

	public void setDirection(int direction) {
		this.direction = direction;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public LocalDate getBirthday() {
		return birthday;
	}

	public void setBirthday(LocalDate birthday) {
		this.birthday = birthday;
	}

}
